package model

// ManageMaterial 维修器材数据模型
type ManageMaterial struct {
	Model
	ModelTenant
	SupplierID uint64 `gorm:"column:supplier_id;type:int;default:0;comment:供应商ID" json:"supplier_id"`
	Title      string `gorm:"column:title;type:varchar(100);default:null;comment:名称" json:"title"`
	Image
	Unit   int    `gorm:"column:unit;type:tinyint(1);default:0;comment:单位" json:"unit"`
	Remark string `gorm:"column:remark;type:varchar(255);default:null;comment:备注" json:"remark"`
	ModelDeleted
	ModelAt
}

func (m *ManageMaterial) TableName() string {
	return "manage_material"
}

func NewManageMaterial() *ManageMaterial {
	return &ManageMaterial{}
}
